#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,i,max,x;
    scanf("%d",&n);
    int niz[n];
    for(i=0;i<n;i++)
    {
        scanf("%d",&niz[i]);
    }
    max=niz[0];
    for(i=1;i<n;i++)
    {
        if(max<niz[i])
        {
            x=max;
            max=niz[i];
            niz[i]=x;
            max=niz[i];
        }
    }
    for(i=0;i<n;i++)
    {
        printf("%d ",niz[i]);
    }
    return 0;
}